classification
Title: misleading sentence in reference/import
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: asvetlov, brett.cannon, docs@python, eric.snow, mpg, ncoghlan
Priority: normal Keywords: patch

Created on 2012-10-05 17:50 by mpg, last changed 2012-11-15 14:38 by asvetlov. This issue is now closed.

Files
File name Uploaded Description Edit
import-doc-fixes.patch mpg, 2012-10-05 17:50 Patch review
Messages (2)
msg172105 - (view) Author: Manuel Pégourié-Gonnard (mpg) * Date: 2012-10-05 17:50
I find the following sentences, from import.rst, section "Finders and loaders", misleading: "Python includes a number of default finders and importers. One knows how to locate frozen modules, and another knows how to locate built-in modules." in that one may think frozen comes before built-in, while the converse is true.

Attached is a patch with a hopefully clearer version. While at it, the patch also turns into links the references to PEPs in the introduction.
msg175620 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-11-15 14:38
Fixed in a8ca14983ab1 and 9961a0dafcc7. Thanks, Manuel.
History
Date User Action Args
2012-11-15 14:38:38asvetlovsetstatus: open -> closed
type: behavior
resolution: fixed
stage: resolved
2012-11-15 14:38:17asvetlovsetnosy: + asvetlov
messages: + msg175620
2012-11-13 06:45:05eric.snowsetnosy: + eric.snow
2012-10-06 18:56:29terry.reedysetversions: + Python 3.3
2012-10-05 18:25:13chris.jerdoneksetnosy: + brett.cannon, ncoghlan
2012-10-05 17:50:59mpgcreate